Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#39228 - [apache] Can't run Apache with PHP after update

Attached to Project: Arch Linux
Opened by Lorenzo Angeli (RaelZero) - Saturday, 08 March 2014, 14:04 GMT
Last edited by Anatol Pomozov (anatolik) - Saturday, 08 March 2014, 14:37 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
Since the update to Apache 2.4, Apache fails startup and produces the following message with systemctl status httpd -l :
Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe. You need to recompile PHP.

This was also reported on the mailing list (https://mailman.archlinux.org/pipermail/arch-general/2014-March/035277.html).
It looks like the bug could be fixed by adding a build flag to PHP.

This is my first bug report, if you need any more information, feel free to contact me.


Additional info:
apache 2.4.7-1
php 5.5.10-1
This task depends upon

Closed by  Anatol Pomozov (anatolik)
Saturday, 08 March 2014, 14:37 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#39218 

Loading...